This endpoint creates a new interview with only custom questions, returns a unique interview ID and a corresponding interview URL. You can send this URL to candidates, add it to a job post or alternatively, use the invite candidate endpoint to send invitations for the interview.
{"docsConfig":{"theme":"maple","$schema":"https://mintlify.com/docs.json","name":"micro1 API","colors":{"primary":"#3444de","light":"#6d7cff","dark":"#3444de"},"logo":{"light":"https://mintcdn.com/micro1/VhykGYIB-fWzOEAi/logo/light.svg?fit=max\u0026auto=format\u0026n=VhykGYIB-fWzOEAi\u0026q=85\u0026s=f221e87e0c7c85725eddfc3b5216f76a","dark":"https://mintcdn.com/micro1/VhykGYIB-fWzOEAi/logo/dark.svg?fit=max\u0026auto=format\u0026n=VhykGYIB-fWzOEAi\u0026q=85\u0026s=4e53556938028a2c3a167843fd58d7e7","href":"https://ai-recruiter.micro1.ai/api-reference/getting-started/introduction"},"favicon":"https://mintcdn.com/micro1/l0zN2P1MAtjirkdz/favicon.png?fit=max\u0026auto=format\u0026n=l0zN2P1MAtjirkdz\u0026q=85\u0026s=2ce71e47b39608907b117b458b816b8a","background":{"color":{"light":"#fff","dark":"#000"}},"navbar":{"links":[{"href":"https://www.zara.micro1.ai/login?ref=ai-recruiter-docs","label":"Log In"},{"href":"https://www.zara.micro1.ai/register?ref=ai-recruiter-docs","label":"Create an account"}],"primary":{"type":"button","label":"Book a demo","href":"https://www.micro1.ai/zara?ref=ai-recruiter-docs\u0026openForm=1"}},"footer":{"socials":{"x":"https://twitter.com/micro1_ai","linkedin":"https://www.linkedin.com/company/micro1","youtube":"https://www.youtube.com/@micro1_ai","instagram":"https://www.instagram.com/micro1.ai","reddit":"https://www.reddit.com/r/micro1_ai"}},"seo":{"metatags":{"robots":"noindex"}},"fonts":{"family":"Outfit"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"micro1","hasAudioNarration":false,"actualSubdomain":"micro1","customDomains":["ai-recruiter.micro1.ai"],"gitSource":{"type":"github","owner":"micro1-io","repo":"micro1-public-api-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a33a072fd8b441e7416cc05","collectionId":"4496ab6e-9cb7-4fbf-9451-cb78f99507a0","schemaVersion":"v2"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6a33a072fd8b441e7416cc05:success","clientVersion":"0.0.4043","searchFilterCounts":[{"language":"default","tag":"API Reference","count":22},{"language":"default","tag":"Interview","count":6},{"language":"default","tag":"Getting Started","count":4},{"language":"default","tag":"Webhook","count":4},{"language":"default","tag":"Job Applicant","count":3},{"language":"default","tag":"Webhooks","count":2},{"language":"default","tag":"Interview Reports","count":2},{"language":"default","tag":"Invite Candidate","count":2},{"language":"default","tag":"Job","count":1}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":true},"customCss":[{"filePath":"styles.css","content":"@font-face{font-family:'Outfit';src:url(https://cdn.prod.website-files.com/66c89c41b01a092340805473/66c89c41b01a0923408058ef_Outfit-Regular.woff2);font-weight:400;font-style:normal;font-display:swap}h1,h2,h3,p{font-family:'Outfit'}p{font-size:1.125rem;line-height:1.5}h1,h2,h3{letter-spacing:normal!important}"}],"page":{"pagePath":"api-reference/interview/create-a-new-interview-custom-questions","slug":"/api-reference/interview/create-a-new-interview-custom-questions","pageMetadata":{"title":"Create a new interview (custom questions)","description":"This endpoint creates a new interview with only custom questions, returns a unique interview ID and a corresponding interview URL. You can send this URL to candidates, add it to a job post or alternatively, use the invite candidate endpoint to send invitations for the interview.","deprecated":null,"version":null,"openapi":"/openapi.json post /custom/interview","href":"/api-reference/interview/create-a-new-interview-custom-questions","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"This endpoint creates a new interview with only custom questions, returns a unique interview ID and a corresponding interview URL. You can send this URL to candidates, add it to a job post or alternatively, use the invite candidate endpoint to send invitations for the interview.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Create a new interview (custom questions)","description":"This endpoint creates a new interview with only custom questions, returns a unique interview ID and a corresponding interview URL. You can send this URL to candidates, add it to a job post or alternatively, use the invite candidate endpoint to send invitations for the interview.","deprecated":null,"version":null,"openapi":"/openapi.json post /custom/interview","href":"/api-reference/interview/create-a-new-interview-custom-questions","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Create a new interview (custom questions)","description":"This endpoint creates a new interview with only custom questions, returns a unique interview ID and a corresponding interview URL. You can send this URL to candidates, add it to a job post or alternatively, use the invite candidate endpoint to send invitations for the interview.","operationId":"aiInterviewer-ce2743c0-2309-41eb-8ff2-44c55c138c25","parameters":[],"tags":["Interview"],"security":["dead4d04-f886-436f-9d18-f2db254ab72a"],"requestBody":"eb2dd5e4-927c-47a2-922e-005ff47a4ad0","responses":{"200":"66562bde-23d1-4aa7-8e2b-57aefd35406f","400":"860da01d-93fd-4266-944e-cf283a97d717","500":"0b145341-258c-4f92-9a97-265242211e90"},"method":"post","type":"path","servers":["b2cd7979-b148-40ed-8059-73f350374ec5"],"path":"/custom/interview","baseUrlOptions":["https://public.api.micro1.ai"],"title":"Create a new interview (custom questions)","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"description":"Request body to create an interview","required":false,"content":{"application/json":{"schema":{"title":"CreateCustomQuestionInterviewRequest","description":"Request to create an interview with only custom questions","type":"object","required":["interview_name","custom_question_list"],"properties":{"interview_name":{"type":"string","description":"Name of the interview","example":"Candidate Screening Interview","isRequired":true,"uniqueKey":"interview_name","typeLabel":"string"},"custom_question_list":{"type":"array","items":{"type":"object","properties":{"question":{"type":"string","description":"The question to ask the candidate","example":"What are your strengths and weaknesses?","uniqueKey":"custom_question_list.items.[INDEX].question","typeLabel":"string"},"time":{"type":"number","description":"The time limit for the question in minutes (min 1, max 4)","example":2,"uniqueKey":"custom_question_list.items.[INDEX].time","typeLabel":"number"},"type":{"type":"string","description":"The type of question","example":"audio","enum":["audio","text"],"uniqueKey":"custom_question_list.items.[INDEX].type","typeLabel":"enum\u003cstring>"}},"uniqueKey":"custom_question_list.items.[INDEX]","typeLabel":"object"},"description":"Custom questions for the interview (max 20)","example":[{"question":"What are your strengths and weaknesses?","time":2,"type":"audio"}],"isRequired":true,"uniqueKey":"custom_question_list","typeLabel":"object[]"},"interview_language":{"type":"string","description":"The language in which the AI interview will be conducted","default":"en","example":"en","enum":["en","fr","de","he","hi","pt","es","es-la","tr","ja","sv","ar","pl","dk","kr","it","nl","cz","ua","ur","id","en-GB","es-MX","cn","zh-CN","zh-TW","zh-HK","ru","bn","ms","pt-BR","vi","tl","th","afb","pt-PT"],"uniqueKey":"interview_language","typeLabel":"enum\u003cstring>"},"can_change_interview_language":{"type":"boolean","description":"Whether the candidate can change the language","default":false,"uniqueKey":"can_change_interview_language","typeLabel":"boolean"},"is_proctoring_required":{"type":"boolean","description":"Whether the proctoring is required","default":true,"uniqueKey":"is_proctoring_required","typeLabel":"boolean"}},"uniqueKey":"","typeLabel":"CreateCustomQuestionInterviewRequest · object"},"examples":{"Example":{"title":"Example","value":{"interview_name":"Candidate Screening Interview","custom_question_list":[{"question":"What are your strengths and weaknesses?","time":2,"type":"audio"}],"interview_language":"en","can_change_interview_language":false,"is_proctoring_required":true}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"66562bde-23d1-4aa7-8e2b-57aefd35406f":{"description":"Successful response","content":{"application/json":{"schema":{"title":"CreateInterviewResponse","description":"Response for creating an interview","type":"object","properties":{"status":{"type":"boolean","description":"Whether the request was successful","example":true,"uniqueKey":"status","typeLabel":"boolean"},"message":{"type":"string","description":"The message for the response","example":"Interview created successfully","uniqueKey":"message","typeLabel":"string"},"data":{"type":"object","description":"Interview details","properties":{"interview_id":{"type":"string","description":"Unique identifier for the interview","example":"123e4567-e89b-12d3-a456-426614174000","uniqueKey":"data.interview_id","typeLabel":"string"},"invite_url":{"type":"string","description":"The URL to invite the candidates to the interview","example":"https://interview.micro1.ai/intro/micro1?uid=123e4567-e89b-12d3-a456-426614174000","uniqueKey":"data.invite_url","typeLabel":"string"}},"uniqueKey":"data","typeLabel":"object"}},"uniqueKey":"","typeLabel":"CreateInterviewResponse · object"},"examples":{"Example":{"title":"Example","value":{"status":true,"message":"Interview created successfully","data":{"interview_id":"123e4567-e89b-12d3-a456-426614174000","invite_url":"https://interview.micro1.ai/intro/micro1?uid=123e4567-e89b-12d3-a456-426614174000"}}}},"exampleType":"generated"}},"headers":{"Access-Control-Allow-Origin":{"description":"The Access-Control-Allow-Origin response header indicates whether the response can be shared with requesting code from the given [origin](https://developer.mozilla.org/en-US/docs/Glossary/Origin). - [MDN Link](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Access-Control-Allow-Origin)","schema":{"type":"string","default":"*","example":"https://developer.mozilla.org"}},"Access-Control-Allow-Credentials":{"description":"The Access-Control-Allow-Credentials response header tells browsers whether to expose the response to the frontend JavaScript code when the request's credentials mode ([Request.credentials](https://developer.mozilla.org/en-US/docs/Web/API/Request/credentials)) is include. - [MDN Link](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Access-Control-Allow-Credentials)","schema":{"type":"boolean","default":true}}},"exampleType":"generated"},"860da01d-93fd-4266-944e-cf283a97d717":{"description":"Bad Request","content":{"application/json":{"schema":{"title":"BadRequestResponse","description":"Response for bad requests","type":"object","properties":{"status":{"type":"boolean","description":"Whether the request was successful","example":false,"uniqueKey":"status","typeLabel":"boolean"},"message":{"type":"string","description":"The error message","example":"Invalid request","uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"BadRequestResponse · object"},"examples":{"Example":{"title":"Example","value":{"status":false,"message":"Invalid request"}}},"exampleType":"generated"}},"headers":{"Access-Control-Allow-Origin":{"description":"The Access-Control-Allow-Origin response header indicates whether the response can be shared with requesting code from the given [origin](https://developer.mozilla.org/en-US/docs/Glossary/Origin). - [MDN Link](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Access-Control-Allow-Origin)","schema":{"type":"string","default":"*","example":"https://developer.mozilla.org"}},"Access-Control-Allow-Credentials":{"description":"The Access-Control-Allow-Credentials response header tells browsers whether to expose the response to the frontend JavaScript code when the request's credentials mode ([Request.credentials](https://developer.mozilla.org/en-US/docs/Web/API/Request/credentials)) is include. - [MDN Link](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Access-Control-Allow-Credentials)","schema":{"type":"boolean","default":true}}},"exampleType":"generated"},"0b145341-258c-4f92-9a97-265242211e90":{"description":"Internal Server Error","content":{"application/json":{"schema":{"title":"InternalServerErrorResponse","description":"Response for internal server error","type":"object","properties":{"status":{"type":"boolean","description":"Whether the request was successful","example":false,"uniqueKey":"status","typeLabel":"boolean"}},"uniqueKey":"","typeLabel":"InternalServerErrorResponse · object"},"examples":{"Example":{"title":"Example","value":{"status":false}}},"exampleType":"generated"}},"headers":{"Access-Control-Allow-Origin":{"description":"The Access-Control-Allow-Origin response header indicates whether the response can be shared with requesting code from the given [origin](https://developer.mozilla.org/en-US/docs/Glossary/Origin). - [MDN Link](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Access-Control-Allow-Origin)","schema":{"type":"string","default":"*","example":"https://developer.mozilla.org"}},"Access-Control-Allow-Credentials":{"description":"The Access-Control-Allow-Credentials response header tells browsers whether to expose the response to the frontend JavaScript code when the request's credentials mode ([Request.credentials](https://developer.mozilla.org/en-US/docs/Web/API/Request/credentials)) is include. - [MDN Link](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Access-Control-Allow-Credentials)","schema":{"type":"boolean","default":true}}},"exampleType":"generated"}},"security":{"dead4d04-f886-436f-9d18-f2db254ab72a":{"apiKey":{"description":"API key to access the API","type":"apiKey","name":"x-api-key","in":"header","scopes":[]}}},"servers":{"b2cd7979-b148-40ed-8059-73f350374ec5":{"url":"https://public.api.micro1.ai","description":"Production server"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"description":"API key to access the API","type":"apiKey","name":"x-api-key","in":"header","scopes":[]},"schema":{"title":"x-api-key","type":"string","description":"API key to access the API","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"apiKey","name":"x-api-key"}],"title":"apiKey"}]},"originalFileLocation":"openapi.json"},"subdomain":"micro1","siteName":"micro1 API","title":"Create a new interview (custom questions) - micro1 API","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-05-26T12:42:03.893Z","originalFileLocation":"api-reference/interview/create-a-new-interview-custom-questions.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"This endpoint creates a new interview with only custom questions, returns a unique interview ID and a corresponding interview URL. You can send this URL to candidates, add it to a job post or alternatively, use the invite candidate endpoint to send invitations for the interview.\">\u003cmeta data-mint-head name=\"application-name\" content=\"micro1 API\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003cmeta data-mint-head name=\"robots\" content=\"noindex\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/micro1/vQkZZJF5ByiZFhH0/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/micro1/vQkZZJF5ByiZFhH0/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/micro1/vQkZZJF5ByiZFhH0/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/micro1/vQkZZJF5ByiZFhH0/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/micro1/vQkZZJF5ByiZFhH0/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/micro1/vQkZZJF5ByiZFhH0/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/micro1/vQkZZJF5ByiZFhH0/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/micro1/vQkZZJF5ByiZFhH0/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/micro1/vQkZZJF5ByiZFhH0/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create a new interview (custom questions) - micro1 API\">\u003cmeta data-mint-head property=\"og:description\" content=\"This endpoint creates a new interview with only custom questions, returns a unique interview ID and a corresponding interview URL. You can send this URL to candidates, add it to a job post or alternatively, use the invite candidate endpoint to send invitations for the interview.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"micro1 API\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://ai-recruiter.micro1.ai/api-reference/interview/create-a-new-interview-custom-questions\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://micro1.mintlify.app/_mintlify/api/og/v2?division=Interview\u0026amp;title=Create+a+new+interview+%28custom+questions%29\u0026amp;description=This+endpoint+creates+a+new+interview+with+only+custom+questions%2C+returns+a+unique+interview+ID+and+a+corresponding+interview+URL.+You+can+send+this+URL+to+cand\u0026amp;theme=89cfd5e06b0f360c264c39e2\u0026amp;signature=722b6799f0c7232e5ee30f37ffda6c30bad41ff014d4f7b875d2daf68edc0463\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create a new interview (custom questions) - micro1 API\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"This endpoint creates a new interview with only custom questions, returns a unique interview ID and a corresponding interview URL. You can send this URL to candidates, add it to a job post or alternatively, use the invite candidate endpoint to send invitations for the interview.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://micro1.mintlify.app/_mintlify/api/og/v2?division=Interview\u0026amp;title=Create+a+new+interview+%28custom+questions%29\u0026amp;description=This+endpoint+creates+a+new+interview+with+only+custom+questions%2C+returns+a+unique+interview+ID+and+a+corresponding+interview+URL.+You+can+send+this+URL+to+cand\u0026amp;theme=89cfd5e06b0f360c264c39e2\u0026amp;signature=722b6799f0c7232e5ee30f37ffda6c30bad41ff014d4f7b875d2daf68edc0463\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/micro1/vQkZZJF5ByiZFhH0/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"micro1 API\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#3444de\">\u003clink data-mint-head rel=\"canonical\" href=\"https://ai-recruiter.micro1.ai/api-reference/interview/create-a-new-interview-custom-questions\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/interview/create-a-new-interview-custom-questions.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://ai-recruiter.micro1.ai/#organization\",\"name\":\"micro1 API\",\"url\":\"https://ai-recruiter.micro1.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/micro1/VhykGYIB-fWzOEAi/logo/light.svg?fit=max\u0026auto=format\u0026n=VhykGYIB-fWzOEAi\u0026q=85\u0026s=f221e87e0c7c85725eddfc3b5216f76a\"}},{\"@type\":\"WebSite\",\"@id\":\"https://ai-recruiter.micro1.ai#website\",\"name\":\"micro1 API\",\"url\":\"https://ai-recruiter.micro1.ai\",\"publisher\":{\"@id\":\"https://ai-recruiter.micro1.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://ai-recruiter.micro1.ai/api-reference/interview/create-a-new-interview-custom-questions#webpage\",\"url\":\"https://ai-recruiter.micro1.ai/api-reference/interview/create-a-new-interview-custom-questions\",\"name\":\"Create a new interview (custom questions)\",\"description\":\"This endpoint creates a new interview with only custom questions, returns a unique interview ID and a corresponding interview URL. You can send this URL to candidates, add it to a job post or alternatively, use the invite candidate endpoint to send invitations for the interview.\",\"dateModified\":\"2026-05-26T12:42:03.893Z\",\"isPartOf\":{\"@id\":\"https://ai-recruiter.micro1.ai#website\"},\"breadcrumb\":{\"@id\":\"https://ai-recruiter.micro1.ai/api-reference/interview/create-a-new-interview-custom-questions#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://ai-recruiter.micro1.ai/api-reference/interview/create-a-new-interview-custom-questions#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Interview\",\"item\":\"https://ai-recruiter.micro1.ai/api-reference/interview/create-a-new-interview\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Create a new interview (custom questions)\",\"item\":\"https://ai-recruiter.micro1.ai/api-reference/interview/create-a-new-interview-custom-questions\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://ai-recruiter.micro1.ai/api-reference/interview/create-a-new-interview-custom-questions#apireference\",\"headline\":\"Create a new interview (custom questions)\",\"name\":\"Create a new interview (custom questions)\",\"description\":\"This endpoint creates a new interview with only custom questions, returns a unique interview ID and a corresponding interview URL. You can send this URL to candidates, add it to a job post or alternatively, use the invite candidate endpoint to send invitations for the interview.\",\"url\":\"https://ai-recruiter.micro1.ai/api-reference/interview/create-a-new-interview-custom-questions\",\"mainEntityOfPage\":{\"@id\":\"https://ai-recruiter.micro1.ai/api-reference/interview/create-a-new-interview-custom-questions#webpage\"},\"dateModified\":\"2026-05-26T12:42:03.893Z\",\"publisher\":{\"@id\":\"https://ai-recruiter.micro1.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://ai-recruiter.micro1.ai#website\"}}]}\u003c/script>","siteName":"micro1 API","nav":{"global":null,"anchors":[{"anchor":"API Reference","icon":"square-terminal","groups":[{"group":"Getting Started","pages":[{"title":"Introduction","mode":"wide","icon":"book-open","iconType":"solid","href":"/api-reference/getting-started/introduction"},{"title":"Authentication","mode":"wide","icon":"key","iconType":"solid","href":"/api-reference/getting-started/authentication"},{"group":"Webhooks","icon":{"style":"solid","name":"bell"},"pages":[{"title":"Introduction","mode":"wide","href":"/api-reference/getting-started/webhooks/introductions"},{"title":"Event types","mode":"wide","href":"/api-reference/getting-started/webhooks/examples"}]}]},{"group":"Interview","pages":[{"title":"Create a new interview","description":"This endpoint creates a new interview, returns a unique interview ID and a corresponding interview URL. You can send this URL to candidates, add it to a job post or alternatively, use the invite candidate endpoint to send invitations for the interview.","deprecated":null,"version":null,"openapi":"/openapi.json post /interview","href":"/api-reference/interview/create-a-new-interview"},{"title":"Create a new interview (custom questions)","deprecated":null,"version":null,"openapi":"/openapi.json post /custom/interview","href":"/api-reference/interview/create-a-new-interview-custom-questions"},{"title":"Get all saved interviews","description":"This endpoint fetches all interviews that have been previously created and saved, such as interviews for specific roles like Full Stack Engineer or LLM Engineer.","deprecated":null,"version":null,"openapi":"/openapi.json get /interviews","href":"/api-reference/interview/get-all-saved-interviews"},{"title":"Update an interview","deprecated":null,"version":null,"openapi":"/openapi.json put /interview/{interviewId}","href":"/api-reference/interview/update-an-interview"},{"title":"Delete an interview","deprecated":null,"version":null,"openapi":"/openapi.json delete /interview/{interviewId}","href":"/api-reference/interview/delete-an-interview"},{"title":"Preview Questions","deprecated":null,"version":null,"openapi":"/openapi.json post /mock/interview","href":"/api-reference/interview/preview-questions"}]},{"group":"Invite Candidate","pages":[{"title":"Invite candidates to an interview","deprecated":null,"version":null,"openapi":"/openapi.json post /interview/invite","href":"/api-reference/invite-candidate/invite-candidates-to-an-interview"},{"title":"Get all invited candidates","deprecated":null,"version":null,"openapi":"/openapi.json get /interview/invites","href":"/api-reference/invite-candidate/get-all-invited-candidates"}]},{"group":"Interview Reports","pages":[{"title":"Get all completed reports","deprecated":null,"version":null,"openapi":"/openapi.json get /interview/reports","href":"/api-reference/interview-reports/get-all-completed-reports"},{"title":"Get interview recording","deprecated":null,"version":null,"openapi":"/openapi.json get /interview/recording","href":"/api-reference/interview-reports/get-interview-recording"}]},{"group":"Job","pages":[{"title":"Get all jobs","deprecated":null,"version":null,"openapi":"/openapi.json get /jobs","href":"/api-reference/job/get-all-jobs"}]},{"group":"Job Applicant","pages":[{"title":"Create a job applicant","deprecated":null,"version":null,"openapi":"/openapi.json post /job/{jobId}/applicant","href":"/api-reference/job-applicant/create-a-job-applicant"},{"title":"Get all job applicants","deprecated":null,"version":null,"openapi":"/openapi.json get /job/{jobId}/applicants","href":"/api-reference/job-applicant/get-all-job-applicants"},{"title":"Get Job Applicant Details","deprecated":null,"version":null,"openapi":"/openapi.json get /job/applicant/{jobApplicantId}","href":"/api-reference/job-applicant/get-job-applicant-details"}]},{"group":"Webhook","pages":[{"title":"Create a webhook","deprecated":null,"version":null,"openapi":"/openapi.json post /webhook","href":"/api-reference/webhook/create-a-webhook"},{"title":"Get all webhooks","deprecated":null,"version":null,"openapi":"/openapi.json get /webhooks","href":"/api-reference/webhook/get-all-webhooks"},{"title":"Update a webhook","deprecated":null,"version":null,"openapi":"/openapi.json put /webhook/{webhookId}","href":"/api-reference/webhook/update-a-webhook"},{"title":"Delete a webhook","deprecated":null,"version":null,"openapi":"/openapi.json delete /webhook/{webhookId}","href":"/api-reference/webhook/delete-a-webhook"}]}]}]},"basePath":"","title":"Create a new interview (custom questions) - micro1 API","buildId":"dpl_G9nrg4qeJSZtah1Ziwbc2n6WkLch","deploymentId":"dpl_G9nrg4qeJSZtah1Ziwbc2n6WkLch","dynamics":["c2aa737661","b0f84f53ff","a9bb46feb3","2b790eda92"],"chunks":["OpenApiReferenceProvider-B7XKH4J3.js","utils-lOYzL7z-.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DF6jUUIM.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-Dpsj5f7C.js","snippetPresets-CYeiDe8v.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","Page-DSVu9Ucl.js","ApiExamples-CUFz1YZ_.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-D8H_iLS4.js","shallow-DdluZBHX.js","getApiPlaygroundDisplay-B9922vev.js","CodeSnippet-CMoRNGYs.js","CodeSnippets-DwyrPHuw.js","getPastedJson-G-zIvlHh.js","icon-B03fnEy0.js","MethodPill-CW7teklc.js","DuplicateIcon-CtO8eekd.js","createIcon-DZTKdM_A.js","DynamicMarkdown-D5M2At0B.js","SectionHeading-C_2NaA2U.js","axios-vUo_bRtp.js","Markdown-D7QRHV3m.js","clsx-D1Z-ELXV.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-lvhuD9Du.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-CKfC4ywL.js"]}